Page MenuHomePhabricator

Message box styles shouldn't live in MF
Closed, ResolvedPublic

Description

Currently message box styles live for a variety of reasons (like Special:Nearby) in MobileFrontend and some of it lives in MinervaNeue.
MobileFrontend isn't the place for those styles, they should be combined in MN or rely on a module similar to shared.css.

Additional benefit would be less places to rule message box appearance.

Event Timeline

Jdlrobson triaged this task as Medium priority.Aug 4 2020, 4:58 PM

Change 674149 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Drop message box styles in MobileFrontend

https://gerrit.wikimedia.org/r/674149

Jdlrobson changed the task status from Open to Stalled.Mar 22 2021, 10:11 PM
Jdlrobson edited projects, added MW-1.36-release; removed Patch-For-Review.

I'd love to fix this for 1.36. We are very close, but blocked on T257521

Jdlrobson changed the task status from Stalled to Open.Mar 23 2021, 8:38 PM

Change 674441 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Message box styles for Minerva come from core

https://gerrit.wikimedia.org/r/674441

Hey there, should this be moved to 1.37? The cut for 1.36 has happened, and 1.36.0-rc.0 will be cut in a fortnight or so, after which feature changes shouldn't be landed and back-ported.

Change 674441 merged by jenkins-bot:

[mediawiki/skins/MinervaNeue@master] Message box styles for Minerva come from core

https://gerrit.wikimedia.org/r/674441

Change 674149 merged by jenkins-bot:

[mediawiki/extensions/MobileFrontend@master] Drop message box styles in MobileFrontend

https://gerrit.wikimedia.org/r/674149

Jdlrobson claimed this task.
Jdlrobson removed a project: MW-1.36-release.

I guess this doesn't need to be backported as it's not time sensitive.